﻿#nullable enable

using Microsoft.Extensions.Configuration;

namespace Unity.Extensions.Configuration
{
    public class UnityResourcesConfigurationSource : IConfigurationSource
    {
        public string? Path { get; set; }
        public bool Optional { get; set; }

        public IConfigurationProvider Build(IConfigurationBuilder builder)
        {
            return new ResourcesConfigurationProvider(this);
        }
    }
}